/*-------------------
##remseo-events CPT event-dates-list
---------------------*/
header.cpt-post-header div.cpt-single-main-datas span.date-summary {
  background-color: var(--featured-color);
  color: var(--light-txt-color);
  padding: 6px 12px;
  border-radius: 12px;
}

header.cpt-post-header div.cpt-single-main-datas ul.event-dates-list {
  list-style: none;
  display: flex;
  padding: 0;
}

header.cpt-post-header div.cpt-single-main-datas ul.event-dates-list > li {
  margin: 12px;
  padding: 6px 12px;
  background-color: var(--light-txt-color);
  color: var(--dark-txt-color);
  border: 1px solid;
  border-radius: 6px;
}

header.cpt-post-header div.cpt-single-main-datas ul.event-dates-list > li.outdated {
  background-color: #d2d2d2;
  text-decoration: line-through;
}

#cpt-post-details > div.dates-container {
  padding: 24px 36px;
  background-color: var(--featured-color-darker);
}
#cpt-post-details > div.dates-container > h2 {color: var(--light-txt-color);}
#cpt-post-details > div.dates-container div.event-planning-panel {
  position: relative;
  width: 80%;
  height: 340px;
  margin: 12px auto;
  background-color: var(--featured-color);
}

#cpt-post-details > div.dates-container div.event-planning-panel h3,
#cpt-post-details > div.dates-container div.event-planning-panel h4,
#cpt-post-details > div.dates-container div.event-planning-panel p,
#cpt-post-details > div.dates-container div.event-planning-panel span {
  text-align: left;
  color: var(--light-txt-color);
  transition: 300ms all ease-in-out;
}

#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning {
  position: relative;
  margin: 12px;
  padding: 6px 12px;
  border: 1px solid var(--light-txt-color);
  /* cursor: pointer; */
  background-color: initial;
  transition: 400ms all ease-in-out;
}
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning > span.selected-indicator {
  font-size: 0.8rem;
  border-radius: 8px;
}
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.resa-unavailable {
  border: 1px solid var(--alt-bg);
  background-color: #7f7f7f;
  cursor: not-allowed;
}
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.resa-unavailable p {
  font-size: 0.9rem;
}

#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning:not(.resa-unavailable):hover,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active {
  background-color: var(--light-txt-color);
}
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning:not(.resa-unavailable):hover h3,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning:not(.resa-unavailable):hover h4,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning:not(.resa-unavailable):hover p,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning:not(.resa-unavailable):hover span:not(.selected-indicator),
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active h3,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active h4,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active p,
#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active span {
  color: var(--dark-txt-color);
}

#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning span.selected-indicator {
  position: absolute;
  top: 6px;
  right: 6px;
  border: 1px solid;
  padding: 0 6px;
  background-color: green;
  color: var(--light-txt-color);
  opacity: 0;
  transition: 400ms opacity ease-in-out;
}

#cpt-post-details > div.dates-container div.event-planning-panel div.day-planning.active span.selected-indicator {
  opacity: 1;
}